=== debian/changelog ===
ros-indigo-urdf2graspit (1.2.0-0trusty) trusty; urgency=high



 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Fri, 05 Jan 2018 23:00:00 -0000

ros-indigo-urdf2graspit (1.1.3-0trusty) trusty; urgency=high

  * Adaptation for graspit upstream merge
  * Fixed bug for issue #19 <https://github.com/JenniferBuehler/graspit-pkgs/issues/19>
  * Fixed problem with contact points in which names not accepted by SoName would then not be found in the MarkerSelector
  * Fixed bug: transform to DH world frame in Urdf2Graspit.cpp
  * Added urdf viewer launch file for jaco
  * Rotation axis correction was the wrong way, now negate_joint_movement may not be necessary for some hands (or become necessary for others
  * More testing changes
  * Backup
  * Fixed issue with thumb in allegro but still not displaying properly in GraspIt simulator
  * Improved debugging abilities with viewer
  * Fixed missing white spaces in XMLFuncs.cpp generation of inertia
  * Catching case in urdf2graspit for hands with no inertial. Fixes #19 <https://github.com/JenniferBuehler/graspit-pkgs/issues/19>
  * Changed link/finger names for new jaco
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Thu, 04 Jan 2018 23:00:00 -0000

ros-indigo-urdf2graspit (1.1.1-0trusty) trusty; urgency=high

  * Fix cylinder and box orientations
  * Contact generation bug fixed
  * Corrected urdf2graspit contact generation to place cylinder at right spot in Baxter
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Sat, 06 Aug 2016 22:00:00 -0000

ros-indigo-urdf2graspit (1.1.0-0trusty) trusty; urgency=high

  * minor fix in generating eigen.xml
  * Indented xml
  * Jenkins fix
  * Updated command line parsing in grasp_planning.cpp and adjusted some parameters for prismatic joints in urdf2graspit
  * Fix minor print bug for fixing joints
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Mon, 25 Jul 2016 22:00:00 -0000

ros-indigo-urdf2graspit (1.0.0-0trusty) trusty; urgency=high

  * Removed direct Qt dependencies from urdf2graspit, as this is now in urdf2inventor
  * Now working with new urdf2inventor, tested on jaco
  * Fixed some bugs in DH parameter computation
  * Can now be used to display local coordinate axes of DH parameters, useful for debugging
  * Allows to save the contacts file as different filename
  * Contact selection is now done in separate postprocessing step
  * Contacts can now be generated in a post-processing step.
  * Contacts can now be generated in a post-processing step. This commit includes the old code within ifndef 0 directives
  * urdf2graspit now depends on urdf2inventor
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Tue, 07 Jun 2016 22:00:00 -0000

ros-indigo-urdf2graspit (0.1.5-0trusty) trusty; urgency=high

  * Small fix: create mesh directory if the mesh filename implies more directories
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Fri, 01 Apr 2016 22:00:00 -0000

ros-indigo-urdf2graspit (0.1.3-0trusty) trusty; urgency=high

  * changed catkin_package system depends to names in rosdep
  * added launch directory installs
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Mon, 07 Mar 2016 23:00:00 -0000

ros-indigo-urdf2graspit (0.1.2-0trusty) trusty; urgency=high



 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Thu, 03 Mar 2016 23:00:00 -0000

ros-indigo-urdf2graspit (0.1.0-0trusty) trusty; urgency=high

  * made ivcon external
  * roslinted
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000
