=== debian/control ===
Source: ros-indigo-urdf2graspit
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-baselib-binding, ros-indigo-catkin, ros-indigo-eigen-conversions, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-urdf, ros-indigo-urdf-viewer, ros-indigo-urdf2inventor
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-urdf2graspit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-baselib-binding, ros-indigo-eigen-conversions, ros-indigo-roscpp, ros-indigo-urdf, ros-indigo-urdf-viewer, ros-indigo-urdf2inventor
Description: Conversion from URDF to the GraspIt! format.
